Que signifie “Échec [INSTALL_FAILED_OLDER_SDK]” dans Android Studio?

J'ai eu ce Froyo (2.2) de l'appareil que j'utilise pour faire une application.
Lorsque j'essaie de lancer l'application directement à l'appareil, il affiche un message d'erreur indiquant

pkg: /data/local/tmp/com.example.HelloWorldProject
Failure [INSTALL_FAILED_OLDER_SDK]

et dans une autre fenêtre il y a un message d'erreur indiquant

Unable to attach test reporter to test framework or test framework quit unexpectedly

Ce que semblent faire les dit les erreurs?

EDIT:

AndroidManifest.xml

<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
          package="com.test.helloworld"
          android:versionCode="1"
          android:versionName="1.0">

    <uses-sdk
            android:minSdkVersion="8"
            android:targetSdkVersion="17"/>

    <application
            android:allowBackup="true"
            android:debuggable="true"
            android:icon="@drawable/ic_launcher"
            android:label="@string/app_name"
            >
        <activity
                android:name="com.example.HelloWorldProject.MyActivity"
                android:label="@string/app_name">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>

                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>
    </application>

</manifest>
  • Quel est le minimum de sdk que votre application fonctionnera avec? Peut-être que votre application est créé pour une version qui est supérieur à celui de votre appareil.
  • Je suis l'aide de l'api de niveau 8
  • Pourriez-vous s'il vous plaît poster votre manifeste?
  • J'ai déjà édité la question pour être en mesure de présenter le fichier manifest
InformationsquelleAutor Abel Callejo | 2013-12-16